Bug 1467365 - publican-4.3.2-6.fc27 FTBFS: /usr/bin/fop: JAVA_HOME is not set and default java installation was not found.
publican-4.3.2-6.fc27 FTBFS: /usr/bin/fop: JAVA_HOME is not set and default j...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: javapackages-tools (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Michael Simacek
Fedora Extras Quality Assurance
https://apps.fedoraproject.org/kosche...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-03 10:24 EDT by Petr Pisar
Modified: 2017-07-03 10:50 EDT (History)
10 users (show)

See Also:
Fixed In Version: javapackages-tools-5.0.0-4.fc27
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-07-03 10:50:49 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Petr Pisar 2017-07-03 10:24:56 EDT
publican-4.3.2-6.fc27 fails to build in F27 because tests fail like this:

t/200.XmlClean.t .............. ok
Making portrait pages on USletter paper (8.5inx11in)
/usr/bin/fop: JAVA_HOME is not set and default java installation was not found. JAVA_HOME for system applications can be set in java.conf in /etc/java
#   Failed test 'build a book'
#   at t/300.Builder.t line 32.
# 
# FOP error, PDF generation failed. Check log for details.
#  at t/300.Builder.t line 27.
# Looks like you failed 1 test of 5.
t/300.Builder.t ............... 
Dubious, test returned 1 (wstat 256, 0x100)
Failed 1/5 subtests 

A difference between working and failing build root:

        perl-Text-CSV_XS 	1.30-1.fc27 	> 	1.31-1.fc27
	perl-Test-Simple 	1:1.302085-2.fc27 	> 	1:1.302086-1.fc27
	glibc 	2.25.90-6.fc27 	> 	2.25.90-7.fc27
	perl-PPI 	1.224-3.fc27 	> 	1.234-1.fc27
	libcrypt-nss 	2.25.90-6.fc27 	> 	2.25.90-7.fc27
	openssl-libs 	1:1.1.0f-2.fc27 	> 	1:1.1.0f-3.fc27
	javapackages-tools 	4.7.0-16.fc27 	> 	5.0.0-2.fc27
	java-1.8.0-openjdk-headless 	1:1.8.0.131-5.b12.fc27 	> 	1:1.8.0.131-7.b12.fc27
	binutils 	2.28-8.fc27 	> 	2.28-9.fc27
	java-1.8.0-openjdk 	1:1.8.0.131-5.b12.fc27 	> 	1:1.8.0.131-7.b12.fc27
	perl-Params-Validate 	1.28-2.fc27 	> 	1.29-1.fc27
	perl-Module-CoreList 	1:5.20170531-3.fc27 	> 	1:5.20170621-1.fc27
	glibc-all-langpacks 	2.25.90-6.fc27 	> 	2.25.90-7.fc27
	nss-softokn-freebl 	3.30.2-2.fc27 	> 	3.31.0-2.fc27
	nss-util 	3.30.2-3.fc27 	> 	3.31.0-2.fc27
	pcre 	8.40-7.fc27 	> 	8.41-0.1.RC1.fc27
	libffi 	3.1-10.fc26 	> 	3.1-11.fc27
	copy-jdk-configs 	2.2-2.fc26 	> 	2.2-3.fc27
	nspr 	4.14.0-2.fc27 	> 	4.15.0-1.fc27
	curl 	7.54.0-5.fc27 	> 	7.54.1-2.fc27
	expat 	2.2.0-2.fc26 	> 	2.2.1-1.fc27
	nss-softokn 	3.30.2-2.fc27 	> 	3.31.0-2.fc27
	glibc-common 	2.25.90-6.fc27 	> 	2.25.90-7.fc27
	perl-HTTP-Message 	6.11-5.fc27 	> 	6.13-1.fc27
	glibc-devel 	2.25.90-6.fc27 	> 	2.25.90-7.fc27
	libcurl 	7.54.0-5.fc27 	> 	7.54.1-2.fc27
	system-python 	3.6.1-7.fc27 	< 	
	python3-packaging 	16.8-5.fc27 	< 	
	openssl 	1:1.1.0f-2.fc27 	> 	1:1.1.0f-3.fc27
	kernel-headers 	4.12.0-0.rc5.git0.1.... 	> 	4.12.0-0.rc5.git2.1....
	python3-appdirs 	1.4.0-10.fc26 	< 	
	glibc-headers 	2.25.90-6.fc27 	> 	2.25.90-7.fc27
	python3-setuptools 	35.0.2-1.fc27 	> 	36.0.1-1.fc27
	python3-six 	1.10.0-8.fc26 	< 	
	systemd-libs 	233-2.fc27 	> 	233-4.fc27
	hawtjni-runtime 	1.10-9.fc26 	> 	1.15-1.fc27
	python3-beautifulsoup4 	4.6.0-1.fc27 	< 	
	python3-html5lib 	1:0.999-13.fc26 	< 	
	python3-javapackages 	4.7.0-16.fc27 	< 	
	python3-cssselect 	0.9.2-4.fc26 	< 	
	jansi 	1.11-12.fc26 	> 	1.16-1.fc27
	jansi-native 	1.5-11.fc26 	> 	1.7-1.fc27
	audit-libs 	2.7.6-1.fc27 	> 	2.7.7-1.fc27
	python3-lxml 	3.7.2-2.fc26 	< 	

This is probably a bug in fop shell wrapper triggered by upgrading javapackages-tools.
Comment 1 Michael Simacek 2017-07-03 10:50:49 EDT
It was a bug in javapackages-tools. Should be fixed in rawhide.

Note You need to log in before you can comment on or make changes to this bug.